---
title: "ListInvitations"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.ezghcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: EZGH Cloud organizations and IAM › invitations

`GET /v1/organizations/{orgId}/invitations`

## Authentication

Requires one of the following:

- `apiKey`, http, header `Authorization`
- `sessionCookie`, apiKey, in cookie
- `oauth`, http, header `Authorization`

## Path parameters

- `ListInvitations.path.orgId` (string, required)

## Query parameters

- `ListInvitations.query.limit` (string, optional)
  - pattern `^[+-]?\d*\.?\d+(?:[Ee][+-]?\d+)?$`
- `ListInvitations.query.cursor` (string, optional)
- `ListInvitations.query.status` (string, optional)
  - one of `"pending"`, `"accepted"`, `"declined"`, `"revoked"`, `"expired"`

## Code samples

### cURL

```curl
curl --request GET \
  --url https://orgs.ezghcloud.com/v1/organizations/string/invitations \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://orgs.ezghcloud.com/v1/organizations/string/invitations';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://orgs.ezghcloud.com/v1/organizations/string/invitations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Success

#### Example

```json
{
  "invitations": [
    {
      "id": "string",
      "organizationId": "string",
      "email": "string",
      "groupIds": [
        "string"
      ],
      "policyIds": [
        "string"
      ],
      "status": "pending",
      "url": "string",
      "invitedBy": "string",
      "createdAt": "string",
      "expiresAt": "string",
      "respondedAt": "string"
    }
  ],
  "nextCursor": "string"
}
```

- `ListInvitations.response.200.invitations` (array<object>, required)
  - `ListInvitations.response.200.invitations.id` (string, required)
  - `ListInvitations.response.200.invitations.organizationId` (string, required)
  - `ListInvitations.response.200.invitations.email` (string, required)
  - `ListInvitations.response.200.invitations.groupIds` (array<string>, required)
  - `ListInvitations.response.200.invitations.policyIds` (array<string>, required)
  - `ListInvitations.response.200.invitations.status` (string, required)
    - one of `"pending"`, `"accepted"`, `"declined"`, `"revoked"`, `"expired"`
  - `ListInvitations.response.200.invitations.url` (string, required)
  - `ListInvitations.response.200.invitations.invitedBy` (string, required)
  - `ListInvitations.response.200.invitations.createdAt` (string, required)
  - `ListInvitations.response.200.invitations.expiresAt` (string, required)
  - `ListInvitations.response.200.invitations.respondedAt` (any of, required)
    - any of: `string`, `null`
- `ListInvitations.response.200.nextCursor` (any of, required)
  - any of: `string`, `null`

### 400

InvalidCursor | InvalidRequest

#### Example

```json
{
  "error": {
    "code": "invalid_cursor",
    "message": "string"
  }
}
```

Any of:

- [InvalidCursorEncoded](/orgs-api/schemas/InvalidCursorEncoded/)
- [InvalidRequestEncoded](/orgs-api/schemas/InvalidRequestEncoded/)

### 401

Unauthenticated

#### Example

```json
{
  "error": {
    "code": "unauthenticated",
    "message": "string"
  }
}
```

- `ListInvitations.response.401.error` (object, required)
  - `ListInvitations.response.401.error.code` (string, required)
    - one of `"unauthenticated"`
  - `ListInvitations.response.401.error.message` (string, required)

### 403

AccessDenied | ForbiddenOrigin

#### Example

```json
{
  "error": {
    "code": "access_denied",
    "message": "string"
  }
}
```

Any of:

- [AccessDeniedEncoded](/orgs-api/schemas/AccessDeniedEncoded/)
- [ForbiddenOriginEncoded](/orgs-api/schemas/ForbiddenOriginEncoded/)

### 404

NotFound

#### Example

```json
{
  "error": {
    "code": "not_found",
    "message": "string"
  }
}
```

- `ListInvitations.response.404.error` (object, required)
  - `ListInvitations.response.404.error.code` (string, required)
    - one of `"not_found"`
  - `ListInvitations.response.404.error.message` (string, required)

### 429

TooManyRequests

#### Example

```json
{
  "error": {
    "code": "too_many_requests",
    "message": "string"
  }
}
```

- `ListInvitations.response.429.error` (object, required)
  - `ListInvitations.response.429.error.code` (string, required)
    - one of `"too_many_requests"`
  - `ListInvitations.response.429.error.message` (string, required)

### 500

InternalError

#### Example

```json
{
  "error": {
    "code": "internal_error",
    "message": "string"
  }
}
```

- `ListInvitations.response.500.error` (object, required)
  - `ListInvitations.response.500.error.code` (string, required)
    - one of `"internal_error"`
  - `ListInvitations.response.500.error.message` (string, required)

### 503

Unavailable

#### Example

```json
{
  "error": {
    "code": "unavailable",
    "message": "string"
  }
}
```

- `ListInvitations.response.503.error` (object, required)
  - `ListInvitations.response.503.error.code` (string, required)
    - one of `"unavailable"`
  - `ListInvitations.response.503.error.message` (string, required)


Source: https://docs.ezghcloud.com/orgs-api/invitations/ListInvitations/index.md
